TelepathyQt4: ConnectionManager Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ConnectionManager Class Reference
[Connection manager proxies]

`#include <TelepathyQt4/ConnectionManager>`

Inherits Tp::StatelessDBusProxy, OptionalInterfaceFactory< ConnectionManager >, Tp::ReadyObject, and Tp::RefCounted.

List of all members.

## Public Member Functions

- Private (ConnectionManager *parent, const QString &name)
- ~Private ()
- bool parseConfigFile ()
- void introspectProtocols ()
- void introspectParameters ()
- ProtocolInfo * protocol (const QString &protocolName)
- PendingNames (const QDBusConnection &bus)
- ~PendingNames ()
- virtual ~ConnectionManager ()
- QString name () const
- QStringList supportedProtocols () const
- const ProtocolInfoList & protocols () const
- PendingConnection * requestConnection (const QString &protocol, const QVariantMap &parameters)
- Client::DBus::PropertiesInterface * propertiesInterface () const

## Static Public Member Functions

- static void introspectMain (Private *self)
- static QString makeBusName (const QString &name)
- static QString makeObjectPath (const QString &name)
- static ConnectionManagerPtr create (const QString &name)
- static ConnectionManagerPtr create (const QDBusConnection &bus, const QString &name)
- static PendingStringList * listNames (const QDBusConnection &bus=QDBusConnection::sessionBus())

## Public Attributes

- ConnectionManager * parent
- QString name
- Client::ConnectionManagerInterface * baseInterface
- ReadinessHelper * readinessHelper
- QQueue< QString > parametersQueue
- ProtocolInfoList protocols

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- ConnectionManager (const QString &name)
- ConnectionManager (const QDBusConnection &bus, const QString &name)
- Client::ConnectionManagerInterface * baseInterface () const

## Detailed Description

Object representing a Telepathy connection manager. Connection managers allow connections to be made on one or more protocols.

Most client applications should use this functionality via the AccountManager, to allow connections to be shared between client applications.

## Constructor & Destructor Documentation

~Private | ( |  | ) |

~PendingNames | ( |  | ) | `[inline]`

~ConnectionManager | ( |  | ) | `[virtual]`

Class destructor.

ConnectionManager | ( | const QString & | name | ) | `[protected]`

Construct a new ConnectionManager object.

Parameters:

  | name | Name of the connection manager.

ConnectionManager | ( | const QDBusConnection & | bus,
|  | const QString & | name |
| ) |  |  | `[protected]`

Construct a new ConnectionManager object.

Parameters:

  | bus | QDBusConnection to use.
  | name | Name of the connection manager.

## Member Function Documentation

Private | ( | ConnectionManager * | parent,
|  | const QString & | name |
| ) |  |  |

bool parseConfigFile | ( |  | ) |

static void introspectMain | ( | Private * | self | ) | `[static]`

void introspectProtocols | ( |  | ) |

void introspectParameters | ( |  | ) |

static QString makeBusName | ( | const QString & | name | ) | `[static]`

static QString makeObjectPath | ( | const QString & | name | ) | `[static]`

ProtocolInfo* protocol | ( | const QString & | protocolName | ) |

PendingNames | ( | const QDBusConnection & | bus | ) |

ConnectionManagerPtr create | ( | const QString & | name | ) | `[static]`

ConnectionManagerPtr create | ( | const QDBusConnection & | bus,
|  | const QString & | name |
| ) |  |  | `[static]`

QString name | ( |  | ) | const

QStringList supportedProtocols | ( |  | ) | const

Get a list of strings identifying the protocols supported by this connection manager, as described in the Telepathy D-Bus API Specification (e.g. "jabber").

These identifiers are not intended to be displayed to users directly; user interfaces are responsible for mapping them to localized strings.

Returns:
  A list of supported protocols.

const ProtocolInfoList& protocols | ( |  | ) | const

PendingConnection * requestConnection | ( | const QString & | protocol,
|  | const QVariantMap & | parameters |
| ) |  |  |

Request a Connection object representing a given account on a given protocol with the given parameters.

Return a pending operation representing the Connection object which will succeed when the connection has been created or fail if an error occurred.

Parameters:

  | protocol | Name of the protocol to create the account for.
  | parameters | Account parameters.

Returns:
  A PendingOperation which will emit PendingConnection::finished when the account has been created of failed its creation process.

PendingStringList * listNames | ( | const QDBusConnection & | bus = `QDBusConnection::sessionBus()` | ) | `[static]`

Return a pending operation from which a list of all installed connection manager short names (such as "gabble" or "haze") can be retrieved if it succeeds.

Returns:
  A PendingStringList which will emit PendingStringList::finished when this object has finished or failed getting the connection manager names.

DBus::propertiesInterface * propertiesInterface | ( |  | ) | const`[inline]`

Convenience function for getting a Properties interface proxy. The Properties interface is not necessarily reported by the services, so a `check` parameter is not provided, and the interface is always assumed to be present.

Client::ConnectionManagerInterface* baseInterface | ( |  | ) | const`[protected]`

## Member Data Documentation

ConnectionManager* parent

QString name

Get the short name of the connection manager (e.g. "gabble").

Returns:
  The name of the connection manager.

Client::ConnectionManagerInterface * baseInterface

Get the ConnectionManagerInterface for this ConnectionManager. This method is protected since the convenience methods provided by this class should generally be used instead of calling D-Bus methods directly.

Returns:
  A pointer to the existing ConnectionManagerInterface for this ConnectionManager.

ReadinessHelper* readinessHelper

QQueue<QString> parametersQueue

const ProtocolInfoList & protocols

Get a list of protocols info for this connection manager.

Returns:
  A list of ṔrotocolInfo.

const Feature FeatureCore`[static]`